Skip to Content

List eligible upgrade destinations

GET /api/client/projects/{projectId}/customers/{customerId}/products/{sourceProductId}/upgrade-options

Operation ID: listCustomerUpgradeOptions.

API authentication and error conventions.

Authentication

Authentication is not declared in this specification. Follow the linked API guide for authentication requirements.

Parameters

NameLocationRequiredTypeDescription and constraints
projectIdpathYesstring
customerIdpathYesstring
sourceProductIdpathYesstring
limitqueryNostring
starting_afterqueryNostring

projectId JSON Schema

{
  "type": "string"
}

customerId JSON Schema

{
  "type": "string"
}

sourceProductId JSON Schema

{
  "type": "string"
}

limit JSON Schema

{
  "type": "string"
}

starting_after JSON Schema

{
  "type": "string"
}

Request body

No request body is declared.

Responses

Only the response statuses declared by the specification are listed below.

200

Successful response

application/json

List eligible upgrade destinations response 200 (application/json) schema. Source for this occurrence.

Last updated on